"""Valid FIDO 2 test data."""
from __future__ import unicode_literals

# Generated using examples/credential.py from python-fido2
HOSTNAME = 'testserver'
USERNAME = 'kryten'
PASSWORD = 'passwd'
USER_FIRST_NAME = 'Kryten'
USER_LAST_NAME = '2X4B-523P'
USER_FULL_NAME = USER_FIRST_NAME + ' ' + USER_LAST_NAME
REGISTRATION_CHALLENGE = "Rimmerstasks"
REGISTRATION_CLIENT_DATA = ('eyJ0eXBlIjogIndlYmF1dGhuLmNyZWF0ZSIsICJjbGllbnRFeHRlbnNpb25zIjoge30sICJjaGFsbGVuZ2UiOiAiUm'
                            'ltbWVyc3Rhc2tzIiwgIm9yaWdpbiI6ICJodHRwczovL3Rlc3RzZXJ2ZXIifQ==')
ATTESTATION_OBJECT = (
    'owFoZmlkby11MmYCWMTr2rckepjnyU3pMGbSTDiv2aDKKY42hLR6uxEx/MnyAEEAAAAAAAAAAAAAAAAAAAAAAAAAAABAVKZJP1j2MAl+NE9Ho0pa+T'
    'ybzzmoI4XbU/MvHCr7lQBJc3O5WvHF9B85RIk2ZEyRSwVHh8MW+te50I9juwr6gqUBAgMmIAEhWCDhTkbEO9WpfLwhmoLoPnka4fFANkMYCqhpxI6V'
    'jSDt1CJYIPirPpi/vXbFj/xN9eCGW+rTRQvplmahLa2SupgsLQkwA6Jjc2lnWEcwRQIgP4FTyNoVKsH4/f1TBlqJV5kRpIJR3Kof7N7hHygMyaECIQ'
    'DK+UaV3uOSS7QQ2p1OmDxwpOpakKwRGL1yVLq7QyLsE2N4NWOBWQJIMIICRDCCAS6gAwIBAgIEeMDfDjALBgkqhkiG9w0BAQswLjEsMCoGA1UEAxMj'
    'WXViaWNvIFUyRiBSb290IENBIFNlcmlhbCA0NTcyMDA2MzEwIBcNMTQwODAxMDAwMDAwWhgPMjA1MDA5MDQwMDAwMDBaMCoxKDAmBgNVBAMMH1l1Ym'
    'ljbyBVMkYgRUUgU2VyaWFsIDIwMjU5MDU5MzQwWTATBgcqhkjOPQIBBggqhkjOPQMBBwNCAAS1uHFcg/3+DqFcRXeshY30jBdv3oedyvS4PUDTIPJv'
    'reYl/Pf1yK/YNRj4254h7Ag7GEWAxxfsSkcLlopvuj9vozswOTAiBgkrBgEEAYLECgIEFTEuMy42LjEuNC4xLjQxNDgyLjEuMTATBgsrBgEEAYLlHA'
    'IBAQQEAwIFIDALBgkqhkiG9w0BAQsDggEBAD72q/ZKkWsL+ZSTjdyVNOBUQAJoVninLEOnq+ZdkGX/YfRRzoo67thmidGQuVCvAHpU0THu8G/ia06n'
    'uz4yt5IFpd+nYAQ0U+NK+ETDfNSoX4xcLYcOCiiyt+1EAkH9s3krIHaw4Yr6m0Mu7vwmWLoJBcQbJKk8bsi7ptVvM+jWU9fPa9UBVFWiZZdA99zFHM'
    'AxYJzQPqbN6Tmeygh2MpB2P7TI0A9WkGmhJUkAauuwaiGiFOSZmDe0KegdflbTOlSS3ToWHIKTlUCBqn7vdJw6Vj2919ujlcxHPkRpbUGRhcJDesg6'
    'wGTBy+RyJ/96G3fH1eoMNn1F9jC9mY1Zsm4=')
CREDENTIAL_ID = 'VKZJP1j2MAl+NE9Ho0pa+TybzzmoI4XbU/MvHCr7lQBJc3O5WvHF9B85RIk2ZEyRSwVHh8MW+te50I9juwr6gg=='
AUTHENTICATION_CHALLENGE = "Listerspants"
AUTHENTICATION_CLIENT_DATA = ('eyJ0eXBlIjogIndlYmF1dGhuLmdldCIsICJjbGllbnRFeHRlbnNpb25zIjoge30sICJjaGFsbGVuZ2UiOiAiTGlz'
                              'dGVyc3BhbnRzIiwgIm9yaWdpbiI6ICJodHRwczovL3Rlc3RzZXJ2ZXIifQ==')
AUTHENTICATOR_DATA = '69q3JHqY58lN6TBm0kw4r9mgyimONoS0ersRMfzJ8gABAAAAmA=='
SIGNATURE = 'MEUCIFM+4zYIqdomNBAuzWsijo0YJHm4gTJs5DPLCYnSnZoAAiEA4neUdBFkBZH7oFsc6F3GRjMrmqUWCN1I++SGOF7kV4E='

ATTESTATION_OBJECT_AAGUID = (
    'o2NmbXRmcGFja2VkZ2F0dFN0bXSjY2FsZyZjc2lnWEcwRQIhAMMnqZbbhgq13grtBrHycUWYF0wSNnyIUkRumJzaAT47AiB9fNA9kVe+JbTV9ZhAu+'
    'g3cIZEU3EKvfDUkqJEswd15mN4NWOBWQK4MIICtDCCAlmgAwIBAgIJALxeM7i3hpQoMAoGCCqGSM49BAMCMIGvMQswCQYDVQQGEwJLUjERMA8GA1UE'
    'CAwIU2VvdWwtU2kxEzARBgNVBAcMCkdhbmduYW0tR3UxFzAVBgNVBAoMDmVXQk0gQ28uLCBMdGQuMSIwIAYDVQQLDBlBdXRoZW50aWNhdG9yIEF0dG'
    'VzdGF0aW9uMRwwGgYDVQQDDBNlV0JNIENBIENlcnRpZmljYXRlMR0wGwYJKoZIhvcNAQkBFg5pbmZvQGUtd2JtLmNvbTAeFw0xOTA1MDMwNjI2MTNa'
    'Fw0yOTA0MjkwNjI2MTNaMIGxMQswCQYDVQQGEwJLUjERMA8GA1UECAwIU2VvdWwtU2kxEzARBgNVBAcMCkdhbmduYW0tR3UxFzAVBgNVBAoMDmVXQk'
    '0gQ28uLCBMdGQuMSIwIAYDVQQLDBlBdXRoZW50aWNhdG9yIEF0dGVzdGF0aW9uMR8wHQYDVQQDDBZlV0JNIEZJRE8yIENlcnRpZmljYXRlMRwwGgYJ'
    'KoZIhvcNAQkBFg1pbmZvQGV3Ym0uY29tMFkwEwYHKoZIzj0CAQYIKoZIzj0DAQcDQgAEBU3mVqz1Sr9gT1sEOwanyeaKa3siEvNvZ5v+SLe9Hc6zsL'
    'hmOP9FcFM0Q3n0q1S5mMz0ICvZTIwoPUXBYbA9AKNaMFgwCQYDVR0TBAIwADAfBgNVHSMEGDAWgBS3J/fxiAv22irdBs98SODhF7kU/jAdBgNVHQ4E'
    'FgQURC6pWidWMcBGc1y0IAjaedxgYnEwCwYDVR0PBAQDAgXgMAoGCCqGSM49BAMCA0kAMEYCIQCgTYpDe4Z74WrbpTn0TguzSUM2IjMRgRxF8NSnhn'
    'bAIgIhAN5sSXh9kYR73Y36RSV8j8M+nJW7aKOhRqTPZ97VfiCyaGF1dGhEYXRhWQFEpGCn/cm1gYzLN4L17XO5PbIMLIZaj7Pu6DtHsSYxfwVFAAAA'
    'XpVEKy7xXk3vsnDvsQb6y04AwKHL67+i8+su5uUctKM4EEomwNhVpRi9j7dmcYxpEdGhA1pZLzNGIJoFotANTGEO0T6YkCbImP74RhE5uj7ATjxELY'
    'VJ3SyvAPOs6EM89aprfWVAAg7hrYH9HO5b0gdxoiaOmrzClXN75+cVK5mFOTC7Inr8ljg3uFvA4kCH8hU/S6Dr3a/T1YvYXj285XSnGx/7wY9yAKJZ'
    'xHtJc0mk1R/gN9TsDPngqraybvSLvXOUn5zuEtUwxe03Nk6cjiMRpaUBAgMmIAEhWCCeByElTJE3UC9e1Dg7Jm6vnwI4vsneKLHrUcvZRGWCxiJYIK'
    'hCeVWqyhJCQVgGv8KDk/pdngKmYpolIsdoGWbJ3DKw')

ATTESTATION_OBJECT_U2F = (
    'o2NmbXRoZmlkby11MmZnYXR0U3RtdKJjc2lnWEYwRAIgZbKbx6/0ZY8Q91XIJcLdq7mALC9yfKEFrxixAoDELu8CIDba48Jbop8JhW+i5Qfb/mgJv7'
    'm4X/WPZ/ARG+Qa46L7Y3g1Y4FZAuUwggLhMIICiKADAgECAgEBMAoGCCqGSM49BAMCMIGAMQswCQYDVQQGEwJVUzERMA8GA1UECAwITWFyeWxhbmQx'
    'EjAQBgNVBAoMCVNvbG8gS2V5czEQMA4GA1UECwwHUm9vdCBDQTEVMBMGA1UEAwwMc29sb2tleXMuY29tMSEwHwYJKoZIhvcNAQkBFhJoZWxsb0Bzb2'
    'xva2V5cy5jb20wIBcNMTgxMTExMTI1MjAwWhgPMjA2ODEwMjkxMjUyMDBaMIGSMQswCQYDVQQGEwJVUzERMA8GA1UECAwITWFyeWxhbmQxEjAQBgNV'
    'BAoMCVNvbG8gS2V5czEiMCAGA1UECwwZQXV0aGVudGljYXRvciBBdHRlc3RhdGlvbjEVMBMGA1UEAwwMc29sb2tleXMuY29tMSEwHwYJKoZIhvcNAQ'
    'kBFhJoZWxsb0Bzb2xva2V5cy5jb20wWTATBgcqhkjOPQIBBggqhkjOPQMBBwNCAAQi/g+1Kni+xkU3GiinV0NJpG+FTcpOJRyfdTA9vxDV0tILuWks'
    '3bJcFNg5hRL2I+6Rusas/0oaJ+/gwVQ/1NnFo4HcMIHZMB0GA1UdDgQWBBQ75tLAb/LnsHydnijAILANB8gVyDCBnwYDVR0jBIGXMIGUoYGGpIGDMI'
    'GAMQswCQYDVQQGEwJVUzERMA8GA1UECAwITWFyeWxhbmQxEjAQBgNVBAoMCVNvbG8gS2V5czEQMA4GA1UECwwHUm9vdCBDQTEVMBMGA1UEAwwMc29s'
    'b2tleXMuY29tMSEwHwYJKoZIhvcNAQkBFhJoZWxsb0Bzb2xva2V5cy5jb22CCQDER2OSj/S+jDAJBgNVHRMEAjAAMAsGA1UdDwQEAwIE8DAKBggqhk'
    'jOPQQDAgNHADBEAiBxEEYs9RYYl1XKZFA7abLfF3GrrY7A1qYHPWaKO7v+YQIgHoLv615OOgCEZNL4hMN4NZNjgS6+phIybimQyJFLcVJoYXV0aERh'
    'dGFYtKRgp/3JtYGMyzeC9e1zuT2yDCyGWo+z7ug7R7EmMX8FQQAAAAAAAAAAAAAAAAAAAAAAAAAAADDWVlHUfNwvfO0dhBC25QMLgamsHKy0Hvzwsi'
    '/J5sXWIdRfGmQurcz9H6owmA12H3ClAQIDJiABIVggZTB/2wy+Rpwjt6VEGtjBY0fQPnQ9Aj4A79F0LnfFRUEiWCBH2j40STt5MtcqxYDcMBMz76m8'
    'ohTkcbB4n4M0v34RFg==')

ATTESTATION_OBJECT_U2F_NO_EXT = (
    'o2NmbXRoZmlkby11MmZnYXR0U3RtdKJjc2lnWEcwRQIgNrdAHyVbLLdL867vdJ+MkxnaAY7BpjMaDh6oaMj2oZMCIQDJcZo/CfnlS0AcvVlvQCFgP3'
    'KFV2NXhLeW5XRwTs3A+mN4NWOBWQFfMIIBWzCCAQCgAwIBAgIBAjAKBggqhkjOPQQDAjAoMRUwEwYDVQQDEwxTZWN1cml0eSBLZXkxDzANBgNVBAoT'
    'Bkdvb2dsZTAiGA8yMDAwMDEwMTAwMDAwMFoYDzIwOTkxMjMxMjM1OTU5WjAoMRUwEwYDVQQDEwxTZWN1cml0eSBLZXkxDzANBgNVBAoTBkdvb2dsZT'
    'BZMBMGByqGSM49AgEGCCqGSM49AwEHA0IABAOTr4l76FjojBlTh2oaU4R3xNpubqFKzwov2JpNzPlYeKjNKSkCnMHXlL/7nDdUfLu1uzGrOmdWrPdP'
    'Ejzs1FyjFzAVMBMGCysGAQQBguUcAgEBBAQDAgQwMAoGCCqGSM49BAMCA0kAMEYCIQCKgIMHB+zkA7jbFGn3YZz0QHlY+W8DDb5zrZCRlrnyCwIhAI'
    '1EwaYjn3/X1X86hVvttrh2OLbab8UtHWJR6/1ebbInaGF1dGhEYXRhWMSkYKf9ybWBjMs3gvXtc7k9sgwshlqPs+7oO0exJjF/BUEAAAAAAAAAAAAA'
    'AAAAAAAAAAAAAABA7Ojkss1iSxje85Yce1wVb12JwqobDSC7TZ0GQavwkOSebiw+qjEByWdChmtZqidXe8ib6LioAKaIwg1p0KtXtqUBAgMmIAEhWC'
    'B+uDAxgltIHApMsZfwtarOULUN/1RmSDA/d3a4H2Y6MSJYIAGT6uQBCj6BttXzCEWQ970j36sxwn/cXHbmNym0aHzQ')
